<?php
/**
 * Template part for displaying single post style two
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package CodeVibrant
 * @subpackage Yaatra Mag
 * @since 1.0.0
 */
?>
<?php yaatra_mag_post_thumbnail(); ?>

<header class="entry-header">
    <div class="entry-cat">
        <?php
            yaatra_mag_post_categories_list();
        ?>
    </div>
    <?php
        if ( is_singular() ) :
            the_title( '<h1 class="entry-title">', '</h1>' );
        else :
            the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
        endif;
    ?>
    
    <?php
        if ( 'post' === get_post_type() ) :
    ?>
            <div class="entry-meta">
                <?php 
                    yaatra_mag_posted_on();
                    yaatra_mag_entry_footer();
                ?>
            </div><!-- .entry-meta -->
    <?php endif; ?>
</header><!-- .entry-header -->

<div class="entry-content">
    <?php
        the_content( sprintf(
            wp_kses(
                /* translators: %s: Name of current post. Only visible to screen readers */
                __( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'yaatra-mag' ),
                array(
                    'span' => array(
                        'class' => array(),
                    ),
                )
            ),
            get_the_title()
        ) );

        wp_link_pages( array(
            'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'yaatra-mag' ),
            'after'  => '</div>',
        ) );
    ?>
</div><!-- .entry-content -->